SDL_test_crc32.h File Reference
`#include <SDL3/SDL_stdinc.h>`
`#include <SDL3/SDL_begin_code.h>`
`#include <SDL3/SDL_close_code.h>`
Include dependency graph for SDL_test_crc32.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDLTest_Crc32Context

## Macros

#define | CrcUint32 unsigned int
#define | CrcUint8 unsigned char
#define | CRC32_POLY 0xEDB88320 /* Perl String::CRC32 compatible */

## Functions

bool | SDLTest_Crc32Init (SDLTest_Crc32Context *crcContext)
bool | SDLTest_Crc32Calc (SDLTest_Crc32Context *crcContext, CrcUint8 *inBuf, CrcUint32 inLen, CrcUint32 *crc32)
bool | SDLTest_Crc32CalcStart (SDLTest_Crc32Context *crcContext, CrcUint32 *crc32)
bool | SDLTest_Crc32CalcEnd (SDLTest_Crc32Context *crcContext, CrcUint32 *crc32)
bool | SDLTest_Crc32CalcBuffer (SDLTest_Crc32Context *crcContext, CrcUint8 *inBuf, CrcUint32 inLen, CrcUint32 *crc32)
bool | SDLTest_Crc32Done (SDLTest_Crc32Context *crcContext)

## Macro Definition Documentation

## CRC32_POLY

#define CRC32_POLY 0xEDB88320 /* Perl String::CRC32 compatible */

Definition at line 59 of file SDL_test_crc32.h.

## CrcUint32

#define CrcUint32 unsigned int

CRC32 functions of SDL test framework.

This code is a part of the SDL test library, not the main SDL library.

Definition at line 50 of file SDL_test_crc32.h.

## CrcUint8

#define CrcUint8 unsigned char

Definition at line 53 of file SDL_test_crc32.h.

## Function Documentation

## SDLTest_Crc32Calc()

bool SDLTest_Crc32Calc | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint8 * | inBuf,
|  | CrcUint32 | inLen,
|  | CrcUint32 * | crc32
| ) |  |

## SDLTest_Crc32CalcBuffer()

bool SDLTest_Crc32CalcBuffer | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint8 * | inBuf,
|  | CrcUint32 | inLen,
|  | CrcUint32 * | crc32
| ) |  |

## SDLTest_Crc32CalcEnd()

bool SDLTest_Crc32CalcEnd | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint32 * | crc32
| ) |  |

## SDLTest_Crc32CalcStart()

bool SDLTest_Crc32CalcStart | ( | SDLTest_Crc32Context * | crcContext,
|  | CrcUint32 * | crc32
| ) |  |

## SDLTest_Crc32Done()

bool SDLTest_Crc32Done | ( | SDLTest_Crc32Context * | crcContext | ) |

## SDLTest_Crc32Init()

bool SDLTest_Crc32Init | ( | SDLTest_Crc32Context * | crcContext | ) |